HostingDomains

Verify ownership with DNS

PUT/api/domains/{domain_code}/dns_ownership_check

Queues a DNS-based ownership verification for the domain or alias domain.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/domains/string/dns_ownership_check" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json"
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}